Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the member to retrieve.

Response

A successful response

A member represents a user's relationship with a company on Whop, including their access level, status, and spending history.

access_level
enum<string>
required

The access level of the product member. If its admin, the member is an authorized user of the company. If its customer, the member has a valid membership to any product on the company. If its no_access, the member does not have access to the product.

Available options:
no_access,
admin,
customer
company
object
required

The company for the member.

company_token_balance
number
required

The member's token balance for this company. Computed live from the ledger, not from a cache.

Example:

6.9

created_at
string<date-time>
required

The datetime the company member was created.

Example:

"2023-12-01T05:00:00.401Z"

id
string
required

The unique identifier for the company member.

joined_at
string<date-time>
required

When the member joined the company

Example:

"2023-12-01T05:00:00.401Z"

most_recent_action
enum<string> | null
required

The most recent action the member has taken.

Available options:
canceling,
churned,
finished_split_pay,
paused,
paid_subscriber,
paid_once,
expiring,
joined,
drafted,
left,
trialing,
pending_entry,
renewing,
past_due
most_recent_action_at
string<date-time> | null
required

The time for the most recent action, if applicable.

Example:

"2023-12-01T05:00:00.401Z"

phone
string | null
required

The phone number for the member, if available.

status
enum<string>
required

The status of the member

Available options:
drafted,
joined,
left
updated_at
string<date-time>
required

The datetime the company member was last updated.

Example:

"2023-12-01T05:00:00.401Z"

usd_total_spent
number
required

How much money this customer has spent on the company's products and plans

Example:

6.9

user
object | null
required

The user for this member, if any.